library app_bootstrap;

import 'package:polymer/polymer.dart';

import 'shared_textarea.dart' as i0;
import 'package:polymer/src/build/log_injector.dart';
import 'test.html.0.dart' as i1;
import 'package:polymer/src/build/log_injector.dart';
import 'package:smoke/smoke.dart' show Declaration, PROPERTY, METHOD;
import 'package:smoke/static.dart' show useGeneratedCode, StaticConfiguration;
import 'shared_textarea.dart' as smoke_0;
import 'package:polymer/polymer.dart' as smoke_1;
import 'package:observe/src/metadata.dart' as smoke_2;
abstract class _M0 {} // PolymerElement & ChangeNotifier

void main() {
  useGeneratedCode(new StaticConfiguration(
      checkedMode: false,
      getters: {
        #document: (o) => o.document,
      },
      setters: {
        #document: (o, v) { o.document = v; },
      },
      parents: {
        smoke_0.SharedTextarea: _M0,
        _M0: smoke_1.PolymerElement,
      },
      declarations: {
        smoke_0.SharedTextarea: {
          #document: const Declaration(#document, String, kind: PROPERTY, annotations: const [smoke_2.reflectable, smoke_1.published]),
        },
      },
      names: {
        #document: r'document',
      }));
  new LogInjector().injectLogsFromUrl('test.html._buildLogs');
  configureForDeployment([
      () => Polymer.register('shared-textarea', i0.SharedTextarea),
    ]);
  i1.main();
}
